ARTIO Booking Changelog
(C) 2023 ARTIO International Co.
--------------------------------

--- 2.4.10 --- [18.08.2023]

imp - PHP 8 compatibility
fix - saving payment method permissions

--- 2.4.9 --- [17.12.2021]

imp - PHP 8 compatibility

--- 2.4.8 --- [15.12.2020]

fix - security issue when guest user could access reservations made by other guest users

--- 2.4.7 --- [10.11.2020]

imp - removed old version of PayPal plugin
fix - issue with daylight saving time on closing days
fix - reservation status not being present in e-mails in some cases

--- 2.4.6 --- [29.07.2020]

imp - PHP 7 compatibility
fix - reservations not available with "Fixed Allowed From"
fix - displaying reservation limit error message with "Show Cart in Popup" option
fix - available item quantity with reservations in different time intervals
fix - occupancy selection issue
fix - error in Spanish language file

--- 2.4.5 --- [03.01.2018]

fix - item permissions

--- 2.4.4 --- [27.09.2017]

imp - Joomla 3.8 compatible
imp - Joomla 2.5 compatible

--- 2.4.3 --- [29.08.2017]

new - support direct translating by FaLang
imp - defining managers by usergroup permissions
fix - volume discounts
fix - periodic reservations

--- 2.4.2 --- [04.08.2017]

new - manual ordering of reservation types
fix - manage closing days on frontend

--- 2.4.1 --- [31.07.2017]

fix - design repair for week calendar with separated tables
fix - customer selector
fix - periodic layout
fix - item template properties

--- 2.4.0 --- [02.06.2017]

new - ComNpay payment
new - monthly reservation overview
imp - PHP-7 compatible
imp - Joomla 3.7 compatible
fix - direct booking
fix - fixed limit longer then week
fix - Google Maps
fix - PaypalPDT payment
fix - total price in reservation list
fix - total price of periodic reservation
fix - translation by FaLang

--- 2.3.9 --- [11.11.2016]

fix - Company/VAT ID in customer profile
fix - periodic reservations without popup cart
fix - periodic reservations total price
fix - monthly calendar
fix - show terms of contract/privacy
fix - occupancy without popup cart
fix - supplements layout with jQuery
fix - item list pagination
fix - Quickbook with past dates

--- 2.3.8 --- [18.03.2016]

new - quantity volume discount
new - item shipping
new - show pre-reservations
new - monthly multiple layout
new - booking since defined time
imp - hide empty week days
imp - cancel pre-reservation
imp - reservation status handling
imp - select buttons in checkout
imp - quantity limits & increment
fix - template properties
fix - terms of condition
fix - bread-crumbs
fix - duplicity in price layout

--- 2.3.7 --- [30.10.2015]

fix - back button from reservation detail
fix - navigation on weekly layout
fix - fatal error in quickbook layout

--- 2.3.6 --- [16.10.2015]

fix - numbering of weeks in monthly layout
fix - showing of parent items 
fix - limiting of booking before an event starts

--- 2.3.5 --- [30.09.2015]

new - Paypal PDT for mobile devices
new - use username as customer name
imp - quantity increment value and max/min limit
imp - make note printable in reservation management
imp - admin can make custom fields visible in reservation management
imp - new field for subject - Location
imp - disable tool-tips
imp - disable conflicts auto-detecting
fix - update Google Calendar API
fix - update PayU payment
fix - update iDeal payment
fix - redirecting after making reservation
fix - saving of custom fields
fix - reservation duplicity
fix - hide empty values of reservation

--- 2.3.4 --- [11.05.2015]

imp - script to handle Cron
fix - ordering of template properties
fix - selecting of uninterrupted interval

--- 2.3.3 --- [15.04.2015]

new - Joomla captcha
new - show cart content in cart module
imp - reservation confirming
imp - item list introtext
fix - reservation overview
fix - responsive layout
fix - pick-up, drop-off locations
fix - reservation expiration
fix - search plugin

--- 2.3.2 --- [06.03.2015]

new - more persons in reservation
imp - Joomla! 3.4 compatible
fix - quickbook
fix - reservation occupancy
fix - reservation list
fix - customers handling
fix - periodic reservations

--- 2.3.1 --- [20.10.2014]

new - show item calendar since page where a reservation is available
new - table list theme of price layout
new - change reservation item
new - reservations overview
new - XLS export of reservation list
new - reservation persons
new - manager voucher
new - customer chooses to pay deposit or whole price
imp - fixed limit multiply
imp - filter reservation list for exact date
imp - more data in CSV/XLS export
imp - extend closing days for closing hours
fix - empty last month of an year
fix - time slots ordering with hourly layout
fix - volume discount with fixed limit
fix - cciDEAL for new platform versions
fix - correct order status if paid only deposit
fix - core performance
fix - last item in item list overwrote parent item

--- 2.3.0 --- [01.08.2014]
new - show reservation detail in pop-up window
new - e-mail item managers when reservation sub-item is changed
new - select week-days to show weekly layout
new - option to hide customer custom message in reservation
new - hide days not corresponding to actual month
new - hide reservation cart items in calendar
new - comparison operator for item list filtering
new - pre-select a date from search result in monthly calendar
imp - select reservation time from - to in periodic layout
imp - show customer registration directly under login page
imp - disable unbookable days
imp - listing month calendar per one month, no per month group
imp - return back to the item page after login
imp - use GET redirect from an item list to an item detail instead of POST redirect
imp - synchronize periodic reservations into Google Calendar
fix - translate radio button custom field yes/no
fix - searching in periodic reservations
fix - searching in free reservations
fix - booking over more months
fix - deleting of reservation item
fix - Paypal redirecting
fix - Sofort payment
fix - show first day in the pop-up calendar according to localisation
fix - date up/down translated to date from/to
fix - manage closing day with single item
fix - print reservation as non-logged user
fix - catch errors of Google Calendar API

--- 2.2.9 --- [02.05.2014]
imp - compatibility with Joomla! 3.2.4 and Joomla! 3.3.0
fix - calendar pagination

--- 2.2.8 --- [28.04.2014]
new - slovenian localisation
new - agent provision
imp - date format in week and month select
imp - hide message "Global search is active ..."
fix - vacation filter
fix - periodic layout
fix - fixed from limit
fix - custom fields tags

--- 2.2.7 --- [04.04.2014]
new - print reservation list and detail
new - mandatory supplement
new - hide time in weekly layout
new - price extended legend
new - manager calendar
new - manage closing days on frontend
new - book parent with one subitem 
imp - e-mail customer when manager enters reservation
imp - permissions rules
fix - custom field removing
fix - night booking
fix - booking over different pricing periods

--- 2.2.6 --- [25.03.2014]
new - e-mail tags for customer name and address
imp - enable/disable pre-filling of reservation form
imp - show/hide occupancy column in reservation list
fix - Paypal redirecting
fix - invoices 404 error

--- 2.2.5 --- [14.03.2014]
new - AJAX refreshing of item detail page 
new - discount for user groups
new - flat style of item list
new - parent item can be bookable
new - CSV export of reservation list
new - show payment information text in e-mail 
new - assign item template with custom user field
new - new input types for customer user field
imp - admin reservation revision
imp - status for pending online payment
imp - send e-mail after manager accepts reservation
imp - reservation number in e-mail subject
imp - redirect to customer profile after user login
imp - show customer name as text
fix - show reservation detail after online payment
fix - image gallery editor
fix - date format in responsive design
fix - price selector in responsive design
fix - customer profile editing
fix - reservation expiration settings
fix - conflict with Bookinginvoices

--- 2.2.4 --- [20.12.2013]
new - closing day color
imp - avoid javascript frameworks conflict
imp - custom date format
imp - week layout style
fix - admin customer reservation list
fix - admin featured filter
fix - admin photogallery editor
fix - item list month calendars
fix - responsive design
fix - fixed hourly layout
fix - admin reservation custom fields
fix - responsive design (RD) fixed - RD always use old layout for week calendar
fix - responsive design fixed for Beez2 default Joomla template
fix - show locations in multi reservations mode
fix - week layout navigation
fix - change reservation status
fix - day layout navigation
fix - book multiple prices

--- 2.2.3 --- [06.12.2013]
new - notify e-mails to supplier
new - item title and customer name suggest in reservation list
new - custom address format 
new - early booking discount
new - volume discount percentage
imp - disable occupancy in default
imp - show occupancy in frontend reservation list
fix - timeframe with periodic layout
fix - supplement quantity selector
fix - disable past date in periodic layout
fix - translate text item property value
fix - show supplement quantity
fix - item deposit multiply
fix - customer tooltip in calendar
fix - localisation in select template popup window
fix - reservation status canceled when non customer books
fix - lost selecting of price with calendar listing
fix - error 1054 with bookable item edit

--- 2.2.2 --- [22.10.2013]
new - supplement minimum quantity
fix - tax rates picker with Joomla 3
fix - credit card payment plugin with Joomla 3
fix - SEF URL localisation

--- 2.2.1 --- [11.10.2013]
imp - bookable item option show occupancy
imp - periodic calendar configuration
fix - set item image as default directly after upload
fix - set minimum occupancy value as default for only occupancy type
fix - item template properties administration
fix - contact form inside reservation form
fix - datetime parse error
fix - memory leak with periodic layout
fix - item quantity in periodic calendar
fix - split reservation interval after sunday

--- 2.2.0 --- [13.09.2013]
new - payment methods Cash and Cheque
new - hourly interval over week
new - extend hourly schedule for head and tail piece
new - integration with Google Calendar
new - additional supplement (one-off) cost
imp - closer week calendar layout
imp - migrate global configuration into standard Joomla params
imp - use {OBJECTS} in e-mail template multiply
imp - occupancy revision
imp - night booking revision
imp - pay deposit only or full price only with payment gateway
imp - redirect to payment gateway automatically
fix - single deposit in percent
fix - PayU

--- 2.1.3 --- [21.08.2013]
new - refresh database tool
fix - customer fields translation
fix - occupancy e-mail marks
fix - reservation type translation
fix - show deposit total in popup cart
fix - import Mobile Detect class safer
fix - Internet Explorer fixes

--- 2.1.2 --- [02.08.2013]
new - show customer message in reservation e-mail
new - delete page cache after reservation
fix - items module notices
fix - problems in Joomla 3.1.4
fix - add bookable item price
fix - edit order with frontend

--- 2.1.1 --- [25.07.2013]
new - redirection after reservation has been done configurable
new - redirection back from reservation detail configurable
imp - filter & order reservation list by customer second name
fix - disable installation overwrite
fix - localisation PHP INI valid
fix - fix limit with multiple reservation
fix - PHP notice in cart popup
fix - mark {OBJECTS} in e-mail template using multiply
fix - error in module booking items
fix - price valid date shift in weekly calendar

--- 2.1.0 --- [18.07.2013]
new - All payment methods switched to plugins
new - Responsive design
new - Occupancy for Item with customizable price
new - new reservation email template marks: "reservation date up/down", "created"
new - configuration/prices options:
        - using prices: without prices/prices without deposit/prices with deposit 
        - show all prices ex. tax     
        - show total price        
        - show payment status     
        - show item price     
        - show deposit price      
        - show price ex. tax      
        - show tax
new - send e-mail reservation status change to the manager as well (paid/pro only)
new - send e-mail reservation canceled by customer to the manager (paid/pro only)
new - e-mail auto notifications (paid/pro only)
new - hourly price over midnight EQ: 10PM Friday - 4AM Saturday
new - german translation
new - improved Gap time
new - enable to block # days from current day
fix - delete gallery default image
fix - Standard design (detail images)

--- 2.0.7 --- [28.06.2013]
new - improve gallery slideshow: tween motion, set tween duration, set number of images in one move
new - show customer names (only logged in customer)
new - show full week (weekly calendar - if actual day is tuesday, then monday will be still visible)
fix - conflict with JoomDOC4 - the same classname AUpdateHelper
fix - unable trash pre-reserved reservation 
fix - capacity selector with more digit capacity without popup cart
fix - first month in schedule has year value from schedule end

--- 2.0.6 --- [14.06.2013]
new - fixed limit of reservation type: manager can select more then one week day only from which fixed limit can start
new - hide days in which does not begin fixed limit, see configuration/calendars/hide days in which ...
new - show capacity selector near of bookit button, see configuration/item detail defaults/show capacity
new - use color picker for set price color  
fix - JoomFISH incompatibility with Joomla database connector
fix - pagination of month calendar on bookable item detail
fix - time offset in PDF ticket
fix - show price excluding tax
fix - check in/out vice versa in PDF ticket
fix - template checkbox property dissapear

--- 2.0.5 --- [06.06.2013]
new - show/hide cart popup window
fix - quick book item list does not accept items ordering
fix - quick book page has not default style
fix - expiration time is now shown in local time, fixed night time (timezone)

--- 2.0.4 --- [24.05.2013]
new - remove item from reservation
fix - HTTP error 500 with null parent in bookable item list (with Joomla 3)
fix - duplicate customer account when administrator manages reservation
fix - PHP notices on reservation list

--- 2.0.3 --- [16.05.2013]
fix - use server local time
fix - more reservations with the same time
fix - show invalid reservation expire time
new - show price exluded tax
new - Google maps work with PHP Curl

--- 2.0.2 --- [26.04.2013]
new - generating and mailing PDF Ticket for confirmed reservations
new - option to allow one item in reservation only 
fix - disable unbookable fixed limit
fix - PHP5.3 x PHP5.2 with DateTime::modify return value

--- 2.0.1 --- [19.04.2013]
new - closing days
new - item reservation manager
fix - copy item reservation types and prices in right ordering  
fix - redirect back to the last item after reset reservation
fix - 500 error with FaLang
fix - create new customer with already existing user account
fix - autofill reservation form by registered customer data if reservation creates administrator on the front-end
fix - save date and time when reservation was created
fix - error when customer selects save & continue in popup window
fix - select midnight in the time picker
fix - clean-up localisation
fix - clean-up reservation statuses

--- 2.0.0 Beta 4 --- [19.03.2013]
new - allow reserving through ACL
fix - updater works for beta versions

--- 2.0.0 Beta 2 --- [7.03.2013]
new - object can has owner
new - ACL
new - custom color for calendar and prices
new - contact form instead of calendar
fix - extra fields
fix - inserting images
fix - properties

--- 2.0.0 Beta --- [24.01.2013]
new - Joomla! 3.0 supported
new - Joomla! 1.5 is not supported anymore (for Joomla 1.5, keep 1.x version)
new - supports Joomla built-in updater

--- 1.5.6 --- [16.01.2013]
fix - searchable properties in search module

--- 1.5.5 --- [04.01.2013]
fix - weeks numbering
fix - months navigator

--- 1.5.4 --- [02.01.2013]
fix - weeks numbering

--- 1.5.3 --- [30.11.2012]
imp - finnish translations reviewed
new - payment method Checkout

--- 1.5.2 --- [14.11.2012]
fix - config saving

--- 1.5.1 --- [13.11.2012]
fix - don't load/save config values
fix - formating new price in object

--- 1.5.0 --- [8.11.2012]
new - translating config values in JoomFISH, FaLang
new - showing only days with possible reservation in calendar
fix - deleting properties and reservatin types in JoomFISH, FaLang
fix - cutting last word in short description of the object
fix - deposit is now included in full price

--- 1.4.5 --- [10.10.2012]
new - allow book fixed limit if has been started in the past

--- 1.4.4 --- [13.09.2012]
fix - update Dutch localisation
fix - option display all in template's list
fix - option display all in objects's list
fix - FaLang objects title filter
fix - problems with JoomFISH 2.2.3
fix - safe PayPal request
fix - wrong week numbering in months list
fix - don't repeat week in next month if not required
new - config option nights style
new - save customer also in non-registred mode

--- 1.4.3 --- [29.06.2012]
new - added SoFort payment method 

--- 1.4.2 --- [28.06.2012]
fix - monthly calendar on windows
fix - selecting intervals in monthly calendar 
fix - google map lightbox with Joomla 1.5 
new - set property visible on object's list and object detail

--- 1.4.1 --- [20.06.2012]
fix - wrong URL with com_booking0
fix - add column week into table #__booking_price

--- 1.4.0 --- [14.06.2012]
new - supplement price multiply with reservation length
new - weekly calendar on objects list
new - extra fields of customer reservation
new - search module - locations, template properties, login button, labels below of buttons
new - locations - select on search module, remember through objects list/object/reservation and saved as supplement
new - credit card payment - posibility to eval custom PHP code after save data
new - highlight engaged units in calendar
new - allow booking for even/odd/all weeks 
fix - missing last day in weekly calendar
fix - popup window to select object with Joomla 1.6 and newer 
fix - notice message in image manager
fix - inherite menu Itemid through all component's pages
fix - reservation filter in administrator
fix - display template properties of parent objects on frontend object's list
fix - paypal testing mode (sandbox) and payment verifing (changes on paypal server), duplicity of path in return URL
fix - object's list pagination styles
fix - hourly price ends on midnight
fix - clock toogler of time picker z-index position
fix - object copy

--- 1.3.9 --- [23.03.2012]
new - VAT support
new - invoice download icons integration when used with Book it! Invoice add-on
imp - english translations reviewed
fix - time offset in mailing 

--- 1.3.8 --- [20.03.2012]
new - Google Maps integration
fix - popup calendar in search module didn't work with another component on page
fix - accept terms wasn't showed if note, captcha and payment method weren't used
fix - time and day shift in weekly calendar (sunday shift to monday positon and time shift for one hour)
fix - copying "admin e-mail" and "admin e-mail from" from Joomla's config into Booking's config as default didn't work with Joomla 2.5
fix - after reservation canceling redirect link didn't contain menu item id (modules could disappear)

--- 1.3.7 --- [12.03.2012]
new - list of calendars at Objects List view with reserved days highlighted
new - extended Search Module that allows search by: date range, price range & capacity
new - option of displaying more monthly calendars at Object Detail
new - added settings to customize Object Detail view

--- 1.3.6 --- [05.03.2012]
new - allow start reservation fix fixed limit from concrete week day
fix - save object properties with Joomla 2.5
fix - update Dutch localisation
fix - time picker clock image

--- 1.3.5 --- [27.02.2012]
fix - PNG and GIF transparency
fix - revision of localisations
fix - calendar fix limit
new - setting for JPG and PNG images thumbnails quality
new - custom price format
new - standard Joomla parameters for module: class suffix, cache, cache TTL and layout
new - order object properties and supplements 
new - support for FaLang, fork of Joom!Fish available with Joomla! 1.7, see http://www.faboba.com

--- 1.3.4 --- [17.02.2012]
new - allow zero price
new - allow book current day
fix - PHP compatibility with strtotime

--- 1.3.3 --- [13.02.2012]
fix - limit restrictions in monthly calendar
new - logout button in Booking module for Joomla 1.6 and higher

--- 1.3.2 --- [03.02.2012]
fix - objects gallery 
new - cciDEAL Platform payment method

--- 1.3.1 --- [31.01.2012]
fix - wrong redirect link after reservation

--- 1.3.0 --- [25.01.2012]
note: On upgrade are rewrited reservation and status change e-mails configurations. 
	  Any customized e-mail templates will be lost!

new - reservation of more different objects at once
new - reservation of multiple capacity
new - supplements with multiple quantity
new - attach files to subject. Can be displayed on frontend or sent with reservation.
new - configuration for terms of contract and terms of privacy 
fix - possible JS problems on J!1.5
fix - custom time formats fix

--- 1.2.15 --- [15.11.2011]
new - setting for time format 
fix - reservation through more months

--- 1.2.14 --- [10.11.2011]
new - minimum/maximum limit for reservations
new - button to erase popup calendar
new - time pixer in popup calendar
fix - quick calendar & calendar deep limit 
fix - parent filter in objects list

--- 1.2.13 --- [26.10.2011]
fix - backend reservation creating
new - last zeros in prices

--- 1.2.12 --- [21.10.2011]
fix - disable administrator become customer
fix - no delete Joomla user account after customer deleting    

--- 1.2.11 --- [19.10.2011]
fix - customer backend editing bug

--- 1.2.10 --- [10.10.2011]
fix - JoomFISH bug fix

--- 1.2.8 --- [29.08.2011]
fix - Joomla version detection
fix - import Mootools in component
fix - HTML validation

--- 1.2.7 --- [11.08.2011]
fix - calendar work with MySQL datetime format, no with current localisation date format

--- 1.2.6 --- [04.08.2011]
new - payment methods (banctransfer, creditcard, deltapay, moneybookers)

--- 1.2.5 --- [20.05.2011] 
new - discount for reservation unit counts
new - reservation over more timelines
new - disable multiple deposit
new - single deposit and single discounts for full reservation 

--- 1.2.4 --- [16.05.2011]
new - set exists Joomla users as customers
new - create directory in images gallery
new - total capacity as compulsory item
new - set fields for registration form similar as in reservation
fix - safe ini file in images cache

--- 1.1.0 --- [11.03.2011]
new - Payment methods included (PayPal)
new - Possibility to set minimum interval for calendar display
new - Option to set what reservation form fields should be shown + set which are compulsory
new - Option to allow maximum number of services book at once
new - Automatic price highlighting
new - Table with service prices legend
new - Option to limit number of reservation by one customer within certain interval
new - Capacities; option to set capacity within an object (e.g. boxes in car-wash)

--- 1.0.0 --- [21.01.2011]
new - initial ARTIO Booking release
